#!/usr/bin/env php
<?php
\chdir(__DIR__);

$autoload = (int) $argv[1];
$returnStatus = null;

if (!$autoload) {
    // Modify composer to not autoload Stripe
    $composer = \json_decode(\file_get_contents('composer.json'), true);
    unset($composer['autoload'], $composer['autoload-dev']);

    \file_put_contents('composer.json', \json_encode($composer, \JSON_PRETTY_PRINT));
}

\passthru('composer update', $returnStatus);
if (0 !== $returnStatus) {
    exit(1);
}

$config = $autoload ? 'phpunit.xml' : 'phpunit.no_autoload.xml';
\passthru("./vendor/bin/phpunit -c {$config}", $returnStatus);
if (0 !== $returnStatus) {
    exit(1);
}
Warning: Undefined array key "HTTP_STRIPE_SIGNATURE" in C:\xampps\htdocs\service-finder-jobster\wp-content\plugins\jobster-plugin\page-templates\stripe-processor.php on line 28

Fatal error: Uncaught Error: Class "Stripe\Webhook" not found in C:\xampps\htdocs\service-finder-jobster\wp-content\plugins\jobster-plugin\page-templates\stripe-processor.php:32 Stack trace: #0 C:\xampps\htdocs\service-finder-jobster\wp-includes\template-loader.php(106): include() #1 C:\xampps\htdocs\service-finder-jobster\wp-blog-header.php(19): require_once('C:\\xampps\\htdoc...') #2 C:\xampps\htdocs\service-finder-jobster\index.php(17): require('C:\\xampps\\htdoc...') #3 {main} thrown in C:\xampps\htdocs\service-finder-jobster\wp-content\plugins\jobster-plugin\page-templates\stripe-processor.php on line 32

There has been a critical error on this website.